PHP Manual
Prev |  | Next

# imagepsloadfont

(PHP 3 >= 3.0.9, PHP 4, PHP 5)

imagepsloadfont -- Load a PostScript Type 1 font from file

## Description

resource imagepsloadfont ( string filename )

Load a PostScript Type 1 font from the given `filename`.

## Parameters

`filename`

## Return Values

In the case everything went right, a valid font index will be returned and can be used for further purposes. Otherwise the function returns `FALSE`.

## Examples

Example 1. imagepsloadfont() example

`<?php
header("Content-type: image/png");
$im = imagecreatetruecolor(350, 45);
$black = imagecolorallocate($im, 0, 0, 0);
$white = imagecolorallocate($im, 255, 255, 255);
imagefilledrectangle($im, 0, 0, 349, 44, $white);
$font = imagepsloadfont("bchbi.pfb"); // or locate your .pfb files on your machine
imagepstext($im, "Testing... It worked!", $font, 32, $white, $black, 32, 32);
imagepsfreefont($font);
imagepng($im);
imagedestroy($im);
?>`

## Notes

> Note: This function is only available if PHP is compiled using `--with-t1lib[=DIR]`.

## See Also

imagepsfreefont()

Prev | Home | Next
imagepsfreefont | Up | imagepsslantfont